{% extends 'base.html.twig' %}

{% block title %}Accueil
{% endblock %}

{% block body %}

<form class="row justify-content-center" id="search-form" method="POST" action='/'>
    <div class="col col-lg-5">
    {# <label for="search-bar-by-name">Rechercher</label> #}
        <input class="form-control" type='text' id='search-bar' name='search-bar-by-title'>
    </div>
    <div class="col col-lg-2">
        <input class="btn btn-dark mb-3"type="submit" value="Rechercher">
    </div>
</form>

    <main class="container my-5">
	{% for produit in produits %}
    <div class="card-body shadow p-3 mb-5 bg-body rounded" style="width: 85%">
	{% if produit.image_link != null %}
		<img class="card-img-top" src="{{ produit.image_link }}" alt={{produit.title}} width="50%" height="50%">
		{% endif %}
        <h5 class="card-title">
		{{ produit.title }}
        </h5>
        <p class="card-text">Description:
		{{ produit.description }}
        </p>
        <p class="card-text">
        <p>Prix {{ produit.price }} </p>
        <p>Quantité {{ produit.stock }} </p>
		</div>
	{% endfor %}
    </div>
    </div>
	</div>
    <div class="d-flex justify-content-center" id="pagination">
        {% do produits.setPageRange(2) %}
        {{ knp_pagination_render(produits, '_partials/pagination.html.twig') }}
        </div>
	{% endblock %}
